package parser

import dex.{DexClass, Manifest}

/**
  * Class to parse the manifest and the resources xmls.
  */
// TODO: parse xml files.
class AndroidXmlParser(apkLocation: String, classes: Seq[DexClass]) {

  def parseManifest(): Manifest = {
    val mainActivity =
    classes.filter(c => c.name.contains("MyActivity;")).head
    new Manifest(
      Seq(),
      Seq(mainActivity)
    )
  }
}
